﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace EduNetworkBuilder
{
    public partial class PersonProfileForm : Form
    {
        PersonClass CurrentUser = null;
        string FileName = "";

        public PersonProfileForm(string filename = "")
        {
            InitializeComponent();

            Icon = Properties.Resources.NBIco;
            LanguagifyComponents();
            FileName = filename;

            //We do LocalSetup at load time.  This saves us some grief.
        }

        private void PersonProfileForm_Load(object sender, EventArgs e)
        {
            LocalSetup();
        }

        private void LanguagifyComponents()
        {
            lblFullName.Text = NB.Translate("PPF_FullName");
            lblUsername.Text = NB.Translate("PPF_UserName");
            TabClasswork.Text = NB.Translate("PPF_TabClasswork");
            TabProfile.Text = NB.Translate("PPF_TabProfile");
            btnExit.Text = NB.Translate("NB_exitToolStripMenuItem");
        }

        private void LocalSetup()
        {
            if(FileName == "")
            {
                //Prompt for a username
                String Dest = NB.TextPromptBox("Enter a username for the teacher.");
                if (Dest == "") Close();//No name given or canceled.

                //Find a directory for it.
            }
            else
            {
                //Try to load the file.  Close form  & give error if it fails
            }
        }

    }
}